Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynFixedHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynFixedHelper

public class DynFixedHelper
extends java.lang.Object

Helper class for : DynFixed

Author:
  OpenORB Compiler

Constructor Summary
`DynFixedHelper()`

Method Summary
`static DynFixed` | `extract(Any a)` Extract DynFixed from an any
`static java.lang.String` | `id()` Return the DynFixed IDL ID
`static void` | `insert(Any a, DynFixed t)` Insert DynFixed into an any
`static DynFixed` | `narrow(Object obj)` Narrow CORBA::Object to DynFixed
`static DynFixed` | `read(InputStream istream)` Read DynFixed from a marshalled stream
`static TypeCode` | `type()` Return the DynFixed TypeCode
`static DynFixed` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynFixed
`static void` | `write(OutputStream ostream, DynFixed value)` Write DynFixed into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynFixedHelper

    public DynFixedHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynFixed t)

  Insert DynFixed into an any
  Parameters:
    `a` - an any
    `t` - DynFixed value

### extract

    public static DynFixed extract(Any a)

  Extract DynFixed from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynFixed value

### type

    public static TypeCode type()

  Return the DynFixed TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynFixed IDL ID
  Returns:
    an ID

### read

    public static DynFixed read(InputStream istream)

  Read DynFixed from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynFixed value

### write

    public static void write(OutputStream ostream,
                             DynFixed value)

  Write DynFixed into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynFixed value

### narrow

    public static DynFixed narrow(Object obj)

  Narrow CORBA::Object to DynFixed
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynFixed Object

### unchecked_narrow

    public static DynFixed unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynFixed
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynFixed Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD